Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Any.h File Reference

`#include "ace/CDR_Stream.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/Arg_Traits_T.h"`

Include dependency graph for Any.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Any &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Any &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Short)
| Typesafe insertion.
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::Any &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Any *)
TAO_Export void | operator<<= (CORBA::Any &, const char *)
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::WChar *)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::TypeCode_ptr *)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Object_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Short &)
| Typesafe extraction.
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::UShort &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Long &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ULong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::LongLong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::ULongLong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Float &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Double &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::LongDouble &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::Any *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::TypeCode_ptr &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::Char *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::WChar *&)
TAO_Export void | operator<<= (CORBA::Any_var &, CORBA::Short)
TAO_Export void | operator<<= (CORBA::Any_var &, const CORBA::Any *&)
TAO_Export void | operator<<= (CORBA::Any_var &, const char *)
TAO_Export void | operator<<= (CORBA::Any_var &, CORBA::Any::from_boolean)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Short &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::UShort &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Long &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::ULong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::LongLong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::ULongLong &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Float &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Double &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Any &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::TypeCode_ptr &)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, const char *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, const CORBA::WChar *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any_var &, CORBA::Any::to_boolean)

## Detailed Description

Id:
  Any.h,v 1.84 2003/12/19 11:10:15 jwillemsen Exp

Authors:
  Carlos O'Ryan and Jeff Parsons

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Any & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any_var & | ,
|  | CORBA::Any::from_boolean |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any_var & | ,
|  | const char * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any_var & | ,
|  | const CORBA::Any *& |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any_var & | ,
|  | CORBA::Short |
| ) |

| Copying versions of insertion operators for basic types must also be defined for CORBA::Any_var.

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Object_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::TypeCode_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::WChar * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const char * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Any * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::Any & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Short |
| ) |

| Typesafe insertion.

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Any & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Any::to_boolean |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | const CORBA::WChar *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | const char *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::TypeCode_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Any & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Double & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Float & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::ULongLong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::LongLong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::ULong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Long & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::UShort & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any_var & | ,
|  | CORBA::Short & |
| ) |

| These are not required by the spec, but will make users of other ORBs that are used to them more comfortable.

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::WChar *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::Char *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::TypeCode_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::Any *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::LongDouble & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Double & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Float & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::ULongLong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::LongLong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::ULong & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Long & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::UShort & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Short & |
| ) |

| Typesafe extraction.